> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> Requires a token with the external-api:read or external-api:write ability. per_page integer Default: 15 Minimum: 1. Maximum: 100. page integer Default: 1 Minimum: 1. is_lead boolean Filter by leads email string Filter by email cURL JavaScript Python PHP cURL JavaScript Python PHP 200 OK 200 OK 401…

```http
GET https://api.weav.com/v1/customers
```

Requires a token with the `external-api:read` or `external-api:write` ability.

## Query parameters

<ParamField query="per_page" type="integer" default="15">
Minimum: 1.

Maximum: 100.
</ParamField>

<ParamField query="page" type="integer" default="1">
Minimum: 1.
</ParamField>

<ParamField query="is_lead" type="boolean">
Filter by leads
</ParamField>

<ParamField query="email" type="string">
Filter by email
</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request GET \
  --url 'https://api.weav.com/v1/customers' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
```

```js JavaScript
const response = await fetch("https://api.weav.com/v1/customers", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/customers", headers=headers)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/customers', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "data": [
        {
            "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "first_name": "John",
            "last_name": "Doe",
            "email": "john@example.com",
            "phone": "string",
            "locale": "en",
            "country": "string",
            "region": "string",
            "city": "string",
            "timezone": "string",
            "language": "string",
            "company_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "avatar_url": "https://example.com",
            "first_seen_at": "2026-01-01T00:00:00Z",
            "last_seen_at": "2026-01-01T00:00:00Z",
            "created_at": "2026-01-01T00:00:00Z",
            "updated_at": "2026-01-01T00:00:00Z"
        }
    ]
}
```

</CodeGroup>

- `401` Unauthorized

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="first_name" type="string | null">

</ParamField>

<ParamField body="last_name" type="string | null">

</ParamField>

<ParamField body="email" type="string">
Format: `email`.
</ParamField>

<ParamField body="phone" type="string | null">

</ParamField>

<ParamField body="locale" type="string | null">

</ParamField>

<ParamField body="country" type="string | null">

</ParamField>

<ParamField body="region" type="string | null">

</ParamField>

<ParamField body="city" type="string | null">

</ParamField>

<ParamField body="timezone" type="string | null">

</ParamField>

<ParamField body="language" type="string | null">

</ParamField>

<ParamField body="company_id" type="string | null">
Format: `uuid`.
</ParamField>

<ParamField body="avatar_url" type="string | null">
Format: `url`.
</ParamField>

<ParamField body="first_seen_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="last_seen_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
